Subject: Re: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Feb 2018 16:18:59 +0200

> Date: Fri, 16 Feb 2018 15:47:33 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I'm not against a fix, I'm just saying that the fix should not change
> the default behavior in totally incompatible ways.

Actually, I seem to be unable to reproduce this now, no matter how
hard I try.  I swear I saw the reported behavior when I first tried
that, but now all I see is flyspell-auto-correct-word cycling between
possible correction candidates, and doing nothing if the word is
spelled correctly.  I wonder what am I missing.

So please provide an exact recipe for reproducing the problem,
including the text you have in the buffer and the speller/dictionary
you use, and also please tell what Emacs version are you using.

In the meantime I'm going to fix the doc string to describe the
behavior when the command is invoked at the same location repeatedly.